---
title: "Update user story"
description: "Update a user story's details"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.testandaccept.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Test And Accept API › UserStories

`PATCH /user-stories/{id}`

Update a user story's details

## Authentication

- `bearerAuth`, http, header `Authorization`, format `tnda_ token`

## Path parameters

- `id` (`userStories-update.path.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`

## Request body

_Required._

- `title` (`userStories-update.title`; string, optional)
  - minLength 1; maxLength 200
- `description` (`userStories-update.description`; string, optional)
  - minLength 1
- `status` (`userStories-update.status`; string, optional)
  - one of `"draft"`, `"refined"`, `"assessed"`
- `refinedDescription` (`userStories-update.refinedDescription`; string, optional)
- `orderIndex` (`userStories-update.orderIndex`; integer, optional)
  - min 0; max 9007199254740991

## Example request

```json
{
  "title": "string",
  "description": "string",
  "status": "draft",
  "refinedDescription": "string",
  "orderIndex": 0
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.testandaccept.com/api/rest/user-stories/<id>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "description": "string",
  "status": "draft",
  "refinedDescription": "string",
  "orderIndex": 0
}
'
```

### TypeScript

```typescript
const url = 'https://api.testandaccept.com/api/rest/user-stories/<id>';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({
    title: 'string',
    description: 'string',
    status: 'draft',
    refinedDescription: 'string',
    orderIndex: 0
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.testandaccept.com/api/rest/user-stories/<id>"

payload = {
    "title": "string",
    "description": "string",
    "status": "draft",
    "refinedDescription": "string",
    "orderIndex": 0
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Successful response

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "title": "string",
  "description": "string",
  "ownerUserId": "string",
  "status": "draft",
  "orderIndex": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
```

- `id` (`userStories-update.response.200.id`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `projectId` (`userStories-update.response.200.projectId`; string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `title` (`userStories-update.response.200.title`; string, required)
- `description` (`userStories-update.response.200.description`; any of, required)
  - any of: `string`, `null`
- `ownerUserId` (`userStories-update.response.200.ownerUserId`; string, required)
- `status` (`userStories-update.response.200.status`; string, required)
  - one of `"draft"`, `"refined"`, `"assessed"`
- `orderIndex` (`userStories-update.response.200.orderIndex`; number, required)
- `createdAt` (`userStories-update.response.200.createdAt`; string, required)
- `updatedAt` (`userStories-update.response.200.updatedAt`; string, required)

### 400

Invalid input data

#### Example

```json
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
```

- `message` (`userStories-update.response.400.message`; string, required) — The error message
  - example `"Invalid input data"`
- `code` (`userStories-update.response.400.code`; string, required) — The error code
  - example `"BAD_REQUEST"`
- `issues` (`userStories-update.response.400.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-update.response.400.issues.message`; string, required)

### 401

Authorization not provided

#### Example

```json
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
```

- `message` (`userStories-update.response.401.message`; string, required) — The error message
  - example `"Authorization not provided"`
- `code` (`userStories-update.response.401.code`; string, required) — The error code
  - example `"UNAUTHORIZED"`
- `issues` (`userStories-update.response.401.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-update.response.401.issues.message`; string, required)

### 403

Insufficient access

#### Example

```json
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
```

- `message` (`userStories-update.response.403.message`; string, required) — The error message
  - example `"Insufficient access"`
- `code` (`userStories-update.response.403.code`; string, required) — The error code
  - example `"FORBIDDEN"`
- `issues` (`userStories-update.response.403.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-update.response.403.issues.message`; string, required)

### 404

Not found

#### Example

```json
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
```

- `message` (`userStories-update.response.404.message`; string, required) — The error message
  - example `"Not found"`
- `code` (`userStories-update.response.404.code`; string, required) — The error code
  - example `"NOT_FOUND"`
- `issues` (`userStories-update.response.404.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-update.response.404.issues.message`; string, required)

### 500

Internal server error

#### Example

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
```

- `message` (`userStories-update.response.500.message`; string, required) — The error message
  - example `"Internal server error"`
- `code` (`userStories-update.response.500.code`; string, required) — The error code
  - example `"INTERNAL_SERVER_ERROR"`
- `issues` (`userStories-update.response.500.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`userStories-update.response.500.issues.message`; string, required)


Source: https://docs.testandaccept.com/reference/user-stories/update/index.md
